| Home | Libraries | People | FAQ | More

### posix::descriptor_base

The `posix::descriptor_base` class is used as a base for the `posix::basic_stream_descriptor` class template so that we have a common place to define the associated IO control commands.

    class descriptor_base

##### Types

Name | Description
--- | ---
bytes_readable | IO control command to get the amount of data that can be read without blocking.
non_blocking_io | (Deprecated: Use non_blocking().) IO control command to set the blocking mode of the descriptor.

##### Protected Member Functions

Name | Description
--- | ---
~descriptor_base | Protected destructor to prevent deletion through this type.

##### Requirements

Header: `boost/asio/posix/descriptor_base.hpp`

Convenience header: `boost/asio.hpp`